# Generated by Django 4.2 on 2024-05-21 08:15

import django.core.validators
from django.db import migrations, models

import zgw_consumers.models.validators


class Migration(migrations.Migration):

    dependencies = [
        ("zgw_consumers", "0020_service_timeout"),
    ]

    operations = [
        migrations.AddField(
            model_name="service",
            name="api_connection_check_path",
            field=models.CharField(
                blank=True,
                help_text="A relative URL to perform a connection test. If left blank, the API root itself is used. This connection check is only performed in the admin when viewing the service configuration.",
                max_length=255,
                validators=[
                    django.core.validators.RegexValidator(
                        code="invalid",
                        message="The value must be a relative path.",
                        regex="^[^/#][^\\s]*",
                    ),
                    zgw_consumers.models.validators.NonUrlValidator(),
                ],
                verbose_name="connection check endpoint",
            ),
        ),
    ]
